Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class StringMap.Entry

    java.lang.Object
      org.apache.batik.css.engine.value.StringMap.Entry

Enclosing class:
  StringMap

protected static class StringMap.Entry
extends java.lang.Object

To manage collisions

Field Summary
`int` | `hash` The hash code
`java.lang.String` | `key` The key
`StringMap.Entry` | `next` The next entry
`java.lang.Object` | `value` The value

Constructor Summary
`StringMap.Entry(int hash, java.lang.String key, java.lang.Object value, StringMap.Entry next)` Creates a new entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key

    public java.lang.String key

  The key

### value

    public java.lang.Object value

  The value

### next

    public StringMap.Entry next

  The next entry

Constructor Detail

### StringMap.Entry

    public StringMap.Entry(int hash,
                           java.lang.String key,
                           java.lang.Object value,
                           StringMap.Entry next)

  Creates a new entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.